Subject: Debugging exception handler in bash
From: [email-masked] (Curtis Galloway)

20 Mar 1997 17:57:20 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (X11; I; IRIX 6.3 IP32)
Original-To: [email-masked]
Original-Sender: [email-masked]

In my copious free time, I'm trying to debug the control-c handler in
bash to make it play nice with gdb.  I'm having a really hard time
debugging it, though; I'm running bash, then gdb, then running bash
within gdb, then gdb within that bash.  It doesn't work too well.

Anyone have any suggestions?  I've thought of trying to use the Visual
C++ debugger, but of course I'd have to figure out a way of emitting
debugging symbols suitable for it. (NeXT did this once upon a time.)

--Curtis
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".